/*
 * showrockantennetitel-0.2.c
 * show title currently played on Radio Rockantenne
 *
 * compile with i.e.
 *   diet -Os gcc -Os -Wall -o showrockantennetitel showrockantennetitel.c; strip showrockantennetitel
 *
 * Frank Bergmann, 3/2006
 */

#include "rockantenne.h"

#define TIMEOUT_SECS 10
#include "get_song_data.c"

int main() {
  int i;
  struct song_data song;
  char http_buf[BUFLEN+1];

  i = do_http_get(http_buf, BUFLEN);
  if (i) {
    i = get_song_data(http_buf, i, &song);
    if (i) return i;
    write(1, song.interpret, str_len(song.interpret));
    write(1, song.title, str_len(song.title));
    return 0;
  }
  return 1;
}
